﻿<?xml version="1.0" encoding="utf-8"?>
<Application>
  <DisplayInfo Title="Receiver" Publisher="Citrix Systems, Inc" Version="" ReleaseDate="">
	<UserCategories>
		<Category>Pre-Approved</Category>
	</UserCategories>
	<SoftwareCategories>
		<Category>Pre-Approved</Category>
	</SoftwareCategories>
  </DisplayInfo>
  <DeploymentType Title="" Architecture="x86" Technology="Script" DetectionMethod="Script" ContentLocation="\\server01\sources$\Citrix Systems\Receiver\archive\{SoftwareVersion}\win_{Architecture}\">
    <UninstallCommand>"Deploy-Application.exe" UNINSTALL</UninstallCommand>
    <InstallCommand>"Deploy-Application.exe" INSTALL</InstallCommand>
    <DetectionScript RunAs32Bit="False" Language="PowerShell">
      <TEXT>$DisplayName = '{DetectionName}'.Trim()
$DisplayVersion = '{DetectionVersion}'.Trim()
$Architecture = '{Architecture}'
$DetectionRegPath = '{DetectionRegPath}'
$RegKeyList = Get-ChildItem -Path $DetectionRegPath | Where-Object {($_.GetValue('DisplayName') -like "$DisplayName*") -and !($_.GetValue('SystemComponent'))}

if($RegKeyList) {
    $RegKey = $RegKeyList | Where-Object {[version]$_.GetValue('DisplayVersion') -ge [version]$DisplayVersion}
    if($RegKey) {
        return $true
    }
}</TEXT>
    </DetectionScript>
	<Custom>
		<DetectionVersionLogic TargetItem="Installer" TargetItemPath="\\server01\sources$\Citrix Systems\Receiver\archive\{SoftwareVersion}\win_{Architecture}\Files\*.exe" TargetItemType="EXE" TargetItemProperty="FileVersion"></DetectionVersionLogic>
		<DetectionNameLogic TargetItem="Installer" TargetItemPath="\\server01\sources$\Citrix Systems\Receiver\archive\{SoftwareVersion}\win_{Architecture}\Files\*.exe" TargetItemType="EXE" TargetItemProperty="ProductName"></DetectionNameLogic>
	</Custom>
  </DeploymentType>
</Application>